#include <QLocale>

#include "datehandler.h"


BAYDateTime::BAYDateTime(uint unixtime) {
    setTime_t(unixtime);
}

BAYDateTime::BAYDateTime(const QString& string) {
	QString temp( string.toUpper()
		.replace("JAN", "01").replace("FEB", "02")
		.replace("MAR", "03").replace("APR", "04")
		.replace("MAY", "05").replace("JUN", "06")
		.replace("JUL", "07").replace("AUG", "08")
		.replace("SEP", "09").replace("OCT", "10")
		.replace("NOV", "11").replace("DEC", "12") );

	int years = QDateTime::currentDateTime().date().year() - 1900;
	QList< QDateTime > fmt;
	fmt << QDateTime::fromString( string, "MMddyy HHmm" ).addYears( 100 );
	fmt << QDateTime::fromString( string, "MMddyy" ).addYears( 100 );
	fmt << QDateTime::fromString( temp , "ddMM HHmm" ).addYears( years );
	fmt << QDateTime::fromString( temp , "ddMM" ).addYears( years );
	bool ok;
	int unixtimestamp = string.toInt( &ok );
	if ( ok )
		fmt << QDateTime::fromTime_t( unixtimestamp );

	foreach( QDateTime d, fmt )
	{
		if ( d.isValid() )
		{
			setTime_t( d.toTime_t() );
			break;
		}
	}
}

QString BAYDateTime::toStringDate() const {

	return  QDateTime::toString("dd") +
            QDateTime::toString("MM")
               .replace("01", "JAN")
               .replace("02", "FEB")
               .replace("03", "MAR")
               .replace("04", "APR")
               .replace("05", "MAY")
               .replace("06", "JUN")
               .replace("07", "JUL")
               .replace("08", "AUG")
               .replace("09", "SEP")
               .replace("10", "OCT")
               .replace("11", "NOV")
               .replace("12", "DEC");
}

QString BAYDateTime::toString() const {
    return QDateTime::toString("MMddyy HHmm");
}

QString BAYDateTime::toStringTime() const {
	return QDateTime::toString("HHmm");
}

uint BAYDateTime::toUnixtime() const {
    if(isValid())
        return -1;
    return toTime_t();
}
