#include "exception.h"
#include <iostream>

Exception::Exception( const char* source_file, int line_number, QString message )
: m_message( message )
, m_sourceFile( source_file )
, m_sourceLine( line_number )
{
}

QString Exception::at() const
{
	return QString( "%1:%2" ).arg( m_sourceFile ).arg( m_sourceLine );
}

InternalError::InternalError( const char* source_file, int line_number, QString message )
: Exception( source_file, line_number, message )
{
	std::cout << ( const char* ) ( QString( "%1 [%2]" ).arg( message, at() ).toLocal8Bit() ) << std::flush;
}

StateError::StateError()
{
}

DatabaseError::DatabaseError()
{
}