#ifndef EXCEPTION_H
#define EXCEPTION_H

#include <QString>

class Exception
{
public:
	Exception( const char* source_file, int line_number, QString message );
	QString at() const;

	QString m_message;
	const char* m_sourceFile;
	int m_sourceLine;
};

class InternalError: public Exception
{
public:
	InternalError( const char* source_file, int line_number, QString message );
};

class StateError
{
public:
	StateError();
};

class DatabaseError
{
public:
	DatabaseError();
};

#define throwInternalError(n) throw InternalError( __FILE__, __LINE__, n )
#define checkFailed(n) throwInternalError( QString( "Internal error: check failed\n\nerror line: '%1'" ).arg( n ) )
#define check(n) if ( !( n ) ) { checkFailed( #n ); }
#define stateCheck(n) if ( ( n ) ) { throw StateError(); }

#endif
