#include "gdsclient.h"
#include "gdsclientconnection.h"
#include "logstream.h"

GDSClient::GDSClient( GDSClientConnection * connection )
: m_log( "GDSClient", LogStream::instance() )
, m_connection( connection )
{

}

GDSClient::~GDSClient()
{
}

void GDSClient::sendContent( const QString &data )
{
	m_connection->sendContent( QString( data + "\n" ).toUpper().toLocal8Bit() );
}


/*void GDSClient::disconnectClient()
{
	if ( m_connection )
		m_connection->closeConnection();
}*/

bool GDSClient::processContent( const QByteArray & )
{
	return false;
};

void GDSClient::processData( const QByteArray & data )
{
	if ( !processContent( data ) )
	{
		sendContent( "Check your input" );
		m_log.warn( QString( "Packet not handled: %1").arg( QString( data ) ) );
	}
}
void GDSClient::connectionDestroyed( QObject * )
{
	deleteLater();
}
