#ifndef GDSCLIENT_H
#define GDSCLIENT_H

#include <QObject>
#include <QString>
#include "logger.h"

class GDSClientConnection;
class GDSClientDatabase;

class GDSClient: public QObject
{
	Q_OBJECT
public:
	GDSClient( GDSClientConnection * );
	virtual ~GDSClient();
	void sendContent( const QString &data );
	//void disconnectClient();
	virtual bool processContent( const QByteArray & );

protected slots:
	void processData( const QByteArray & );
	void connectionDestroyed( QObject * );

protected:
	Logger m_log;

private:
	GDSClientConnection* m_connection;
};

#endif

