#ifndef GDSCLIENTAGENT_H
#define GDSCLIENTAGENT_H

#include "gdsclient.h"
#include "gdsflight.h"
#include "gdshotel.h"
#include "gdspnr.h"

class GDSCommand;

class GDSClientAgent: public GDSClient
{
	enum state { VOID, NORMAL, SELL };
	Q_OBJECT
public:
	GDSClientAgent( GDSClientConnection * connection, const QString& login );
	virtual ~GDSClientAgent();
	QString generateID();
	virtual bool processContent( const QByteArray & );
	void processJumpIn( GDSCommand* cmd );
	void processAvail( GDSCommand* cmd );
	void processHelp( GDSCommand* cmd );
	void processSellFlight( GDSCommand* cmd );
	void processSellHotel( GDSCommand* cmd );
	void processEndSell( GDSCommand* cmd );
	void processAddPassenger( GDSCommand* cmd );
	void processRetrievePNR( GDSCommand* cmd );
	void processDeletePNR( GDSCommand* cmd );
	void processChangePassword( GDSCommand* cmd );
	void processHotelsList( GDSCommand* cmd );
	void processAbortSell( GDSCommand* );
private:
	QList<long> m_availResults;
	QList<long> m_hotelsResults;
	long m_currentFlightId;
	long m_currentHotelId;
	int m_wantedPNRs;
	QString m_wantedClass;
	QList< GDSPnr > m_currentPNRs;
	QString m_login;
	state m_state;
	bool m_sellingAvia;
};

#endif

