#ifndef GDSCLIENTAUTHENTICATOR_H
#define GDSCLIENTAUTHENTICATOR_H

#include <QObject>
#include "logger.h"

class GDSClientConnection;
class GDSClientDatabase;
class GDSClient;

class GDSClientAuthenticator : public QObject
{
	Q_OBJECT
public:
	GDSClientAuthenticator( GDSClientConnection* client );
	virtual ~GDSClientAuthenticator() {};
private:
	void authSuccess( GDSClient *client );
	void authEnded();
	void authFailed();
	void processMessage( const QByteArray& element );

	Logger m_log;
	GDSClientConnection* m_connection;
	GDSClientDatabase* m_clientsBase;
	bool m_firstPacket;
	QByteArray m_packet;

private slots:
	void processContent( const QByteArray& content );
	void connectionDestroyed(QObject * obj);
};

#endif
