#ifndef GDSCLIENTCONNECTION_H
#define GDSCLIENTCONNECTION_H

#include <QTcpSocket>
#include <QTimer>
#include "logger.h"

class GDSClientConnection: public QObject
{
	Q_OBJECT
public:
	GDSClientConnection( QTcpSocket *socket );
	void closeConnection();
	void connectPacketTarget( QObject *reciever, const char *slot );
	void disconnectPacketTarget( QObject *reciever, const char *slot );
	void connectDestroyedTarget( QObject *reciever, const char *slot );
	void disconnectDestroyedTarget( QObject *reciever, const char *slot );
	void registerUser( const QString & );
	void sendContent( const QByteArray & );
	void newPacket( const QByteArray& );

signals:
	void newPacketSignal( const QByteArray & );
	void connectionClosedSignal( const GDSClientConnection * );

private slots:
	void readDataSlot();
	void connectionClosedSlot();
	void errorSlot( QAbstractSocket::SocketError error );
private:
	QTcpSocket *m_socket;
	Logger m_log;
	QByteArray m_readData;
};

#endif