#include "gdsclientsbase.h"
#include "gdsclient.h"
#include "gdsclient_airline.h"
#include "gdsclient_agent.h"

GDSClientDatabase* GDSClientDatabase::m_instance = NULL;

GDSClientDatabase* GDSClientDatabase::instance()
{
	if ( !m_instance )
		m_instance = new GDSClientDatabase;
	return m_instance;
}

GDSClientAuthInfo *GDSClientDatabase::getAuthByLogin( const QString& login )
{
	if ( m_clients.contains( login ) )
	{
		return m_clients[ login ];
	}
	return NULL;
}

void GDSClientDatabase::addClient( const QString& login, const QString& password, bool changeable )
{
	if ( !m_clients.contains( login ) )
	{
		m_clients[ login ] = new GDSClientAuthInfo( login, password, changeable );	
	}
	m_clients[ login ]->setPassword( password );
	m_clients[ login ]->setChangeable( changeable );
}

GDSClientDatabase::GDSClientDatabase()
{
}
