#ifndef GDSCLIENTSBASE_H
#define GDSCLIENTSBASE_H

#include <QObject>
#include <QMap>

class GDSClientAuthInfo
{
public:
	GDSClientAuthInfo( const QString& login, const QString& passwd, bool changeable )
		: m_login( login ), m_password( passwd ), m_passwordChangeable( changeable ) { }
	QString login() const { return m_login; }
	QString password() const { return m_password; }
	void setChangeable( bool changeable ) { m_passwordChangeable = changeable; }
	void setPassword( const QString& passwd ) { m_password = passwd; }
	bool isChangeable() { return m_passwordChangeable; }
private:
	QString m_password;
	bool m_passwordChangeable;
	QString m_login;
};

class GDSClientDatabase: public QObject
{
public:
	GDSClientDatabase();
	static GDSClientDatabase* instance();
	GDSClientAuthInfo *getAuthByLogin( const QString& login );
	void addClient( const QString& param1, const QString& param2, bool changeable );
private:
	QMap< QString, GDSClientAuthInfo* > m_clients;
	static GDSClientDatabase* m_instance;
};


#endif