#ifndef GDSDBFLIGHTS_H
#define GDSDBFLIGHTS_H

#include <QList>
#include <QFile>
#include <QDataStream>
#include "gdsflight.h"

class GDSFlightDatabase {
public:
    GDSFlightDatabase();
	static GDSFlightDatabase* instance();
    void add(const GDSFlight &flight);
    GDSFlight * get(long id);
    void del(long id);

	bool compareWithTemplate( const GDSFlight& f, const GDSFlight& templ );
	QList<long> getByTemplate(const GDSFlight& templ);
	QList<long> getByODD(const QString& orig, const QString& dest, const BAYDateTime& date);

    void update(long id, GDSFlight *flight);


    bool save();
    bool restore();
private:
    const static int recordlen = 512;
    const static QString filename;

    int maxrecords;
    QByteArray data;
	static GDSFlightDatabase* m_instance;
};

#endif