#ifndef GDSDBHOTELS_H
#define GDSDBHOTELS_H

#include <QList>
#include "gdshotel.h"

class GDSHotelDatabase {
public:
    GDSHotelDatabase();
	static GDSHotelDatabase* instance();
    void add(const GDSHotel &hotel);
    GDSHotel * get(long id);
    void del(int id);

    bool compareWithTemplate( const GDSHotel& f, const GDSHotel& templ );
    QList<long> getByTemplate(const GDSHotel& templ);
    QList<long> getByCD(const QString& city, const BAYDateTime& date);

    void update(long id, GDSHotel* hotel);

    bool save();
    bool restore();
private:
    const static int recordlen = 512;
    const static QString filename;

    int maxrecords;
    QByteArray data;
	static GDSHotelDatabase* m_instance;
};

#endif