#ifndef GDSDBPNRS_H
#define GDSDBPNRS_H

#include <QList>

class GDSPnr;

class GDSPnrDatabase {
public:
    GDSPnrDatabase();
	static GDSPnrDatabase* instance();

	GDSPnr * get(long id);
    void add( const GDSPnr &pnr );

    bool compareWithTemplate( const GDSPnr& f, const GDSPnr& templ );
    QList<int> getByTemplate( const GDSPnr& templ );
	QList<int> getByAID( const QString& id, const QString& login );
	int deleteByTemplate( const GDSPnr& templ );
	int deleteByAID( const QString& id, const QString& login );

    bool save();
    bool restore();

    const static QString filename;

private:
    const static int recordlen = 128;
    int maxrecords;
    QByteArray m_data;
	static GDSPnrDatabase* m_instance;
	int m_lastRecord;
};

#endif