#ifndef GDSFLIGHT_H
#define GDSFLIGHT_H

#include <QString>
#include "datehandler.h"
#include "gdspositions.h"

class GDSCommandAddFlight;
class GDSCommandSellFlight;

class GDSFlight {
public:
	GDSFlight();
    GDSFlight(const QString& serialized);
	GDSFlight(GDSCommandAddFlight* cmd);
	GDSFlight(GDSCommandSellFlight* cmd);
    QString toString() const;
	QString toPrettyString() const;
	QString toShortPrettyString() const;
    GDSPositions getSeats() { return seats; }
	void setClass( const QString& sclass );
    void setSeats(GDSPositions seats) { this->seats = seats; }
	void setOrig( const QString& orig );
	void setDest( const QString& orig );
	void setDate( const BAYDateTime& date );
	int getAvailableSeats();
	void decAvailableSeats( int n );
	void incAvailableSeats( int n );
private:
    QString airline;
	QString flight_num;
    QString orig;
    QString dest;
	BAYDateTime date;
    GDSPositions seats;

    friend class GDSFlightDatabase;

//used only while booking, don't save in database
	QString m_class;
};

#endif
