#ifndef GDSHOTEL_H
#define GDSHOTEL_H

#include <QString>
#include "datehandler.h"
#include "gdspositions.h"

class GDSCommandAddHotel;

class GDSHotel {
public:
	GDSHotel();
	GDSHotel(GDSCommandAddHotel* cmd);
    GDSHotel(const QString& serialized);
    QString toString() const;
	QString toShortPrettyString() const;
	QString toPrettyString() const;

	void setClass( const QString& sclass );
    GDSPositions getRooms() { return rooms;};
    void setRooms(GDSPositions rooms) { this->rooms = rooms; };
	void setDate( const BAYDateTime& date );
	void setCity( const QString& city );
	int getAvailableRooms();
	void decAvailableRooms( int n );
	void incAvailableRooms( int n );
private:
    BAYDateTime date;
    QString chain;
    QString name;
    QString city;
    GDSPositions rooms;

    friend class GDSHotelDatabase;

	QString m_class;
};


#endif