#ifndef GDSPNR_H
#define GDSPNR_H

#include <QString>

class GDSCommandAddPassenger;
class GDSFlight;
class GDSHotel;

class GDSPnr {
public:
	GDSPnr();
    GDSPnr( const QString& serialized );
	GDSPnr( const long flight_or_hotel_id, GDSCommandAddPassenger* c, const QString& agent, bool isAvia );

    QString toString() const;
	QString toPrettyString() const;
	QString toShortPrettyString() const;
	void setUniqID( const QString& uniqID );
	void setAgentId( const QString& agentId );
	void setClass( const QString& m_wantedClass );
private:
    QString name;
    QString surname;
	QString title;
    QString passport;
	QString agent;
	QString uniqID;
	int flightId;
	int isAvia;
	QString m_class;
	friend class GDSPnrDatabase;
};


#endif