#ifndef GDSPOSITIONS_H
#define GDSPOSITIONS_H

#include <QString>
#include <QStringList>

class GDSPosition
{
	GDSPosition( const QString& pclass, int quantity, int price );
private:
	QString pclass;
	int quantity;
	int price;
	friend class GDSPositions;
};

class GDSPositions {
public:
    GDSPositions(const QString&);
    GDSPositions() {};

    QString toString() const;

    long getPrice(const QString& position_class);
    long getAvail(const QString& position_class);
    void setAvail(const QString& position_class, long avail);
	void decAvail(const QString& position_class, long n);
    bool isEmpty() const;
	QString toStringPretty() const;
	void incAvail( const QString& sclass, int n );
	bool exist() const;
private:
	QList<GDSPosition> m_positions;
};

#endif
