#include "gdsserver.h"
#include "logstream.h"
#include "exception.h"
#include "gdsclientconnection.h"

GDSServer::GDSServer( quint16 port )
: m_port( port )
, m_log( "GDSServer", LogStream::instance() )
{
	if ( !m_tcpServer.listen( QHostAddress::Any, m_port ) )
	{
		m_log.error( QString( "Unable to start GDS server: %1." ).arg( m_tcpServer.errorString() ) );
	}
	m_log.info( QString( "Started at %1" ).arg( m_port ) );
	check( connect( &m_tcpServer, SIGNAL( newConnection() ), this, SLOT( newConnectionSlot() ) ) );
}

GDSServer::~GDSServer()
{
	m_tcpServer.close();
}

void GDSServer::newConnectionSlot()
{
	QTcpSocket *clientSocket = NULL;
	while ( clientSocket = m_tcpServer.nextPendingConnection() )
	{
		new GDSClientConnection( clientSocket );
	}
}