#ifndef LOGGER_H
#define LOGGER_H

#include <QString>

class LogStream;
class LogLevel;

class Logger
{
public:
	Logger( const QString& name, LogStream* );
	Logger( const Logger& rhs );
	virtual ~Logger();
	Logger& operator=( const Logger& rhs );

	void setDescription( const QString& description );
	void error( const QString& message );
	void warn( const QString& message );
	void info( const QString& message );
	void proto( const QString& message, const QByteArray& data );

	static LogLevel* addLogLevel( const QString& name );

	static LogLevel* errorLL;
	static LogLevel* warnLL;
	static LogLevel* infoLL;
	static LogLevel* protoLL;

private:
	QString m_description;
	LogStream* m_logstream;
};

#endif
