#include <QCoreApplication>

#include <QTime>
#include "gdsserver.h"
#include "packer_timer.h"
#include "gdsclient_airline.h"
#include "logstream.h"
#include "exception.h"

#include "gdspositions.h"

#include "gdsflight.h"
#include "gdshotel.h"
#include "gdspnr.h"
#include "gdsdatabase_flights.h"
#include "gdsdatabase_hotels.h"
#include "gdsdatabase_pnrs.h"
#include "datehandler.h"

int main( int argc, char *argv[] )
{
	QCoreApplication app( argc, argv );

	int i = 0;
	foreach( LogLevel* ll, LogStream::instance()->logLevels() )
	{
		i++;
		if ( i >= argc )
			break;
		ll->enable();
	}
	qsrand( (uint) QDateTime::currentDateTime().toMSecsSinceEpoch() );
	PackerTimer timer;
	timer.start( 60000 );
	QObject::connect( &timer, SIGNAL( timeout() ), &timer, SLOT( pack() ) );

	GDSServer server( 2012 );

	return app.exec();
}
